CVE-2005-0035
CVSS5.1
发布时间 :2005-05-02 00:00:00
修订时间 :2011-03-07 21:19:27
NMCOS    

[原文]The Acrobat web control in Adobe Acrobat and Acrobat Reader 7.0 and earlier, when used with Internet Explorer, allows remote attackers to determine the existence of arbitrary files via the LoadFile ActiveX method.


[CNNVD]Adobe Acrobat Reader ActiveX控件信息泄露漏洞(CNNVD-200505-715)

        Adobe Acrobat Reader是一款非常流行的PDF文件阅读器。
        Adobe Reader控件中存在安全漏洞,可能导致信息泄露。
        在某些环境下如果将控件放置于网页,攻击者就可能通过调用.LoadFile(文件名)并监控其行为来发现是否存在本地文件,进而展开其他攻击。请注意攻击者无法利用这个漏洞获得文件的内容。
        

- CVSS (基础分值)

CVSS分值: 5.1 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:adobe:acrobat_reader:4.5Adobe Acrobat Reader 4.5
cpe:/a:adobe:acrobat_reader:7.0Adobe Acrobat Reader 7.0
cpe:/a:adobe:acrobat_reader:6.0.3Adobe Acrobat Reader 6.0.3
cpe:/a:adobe:acrobat_reader:5.0.5Adobe Acrobat Reader 5.0.5
cpe:/a:adobe:acrobat_reader:6.0.2Adobe Acrobat Reader 6.0.2
cpe:/a:adobe:acrobat_reader:6.0Adobe Acrobat Reader 6.0
cpe:/a:adobe:acrobat_reader:5.0Adobe Acrobat Reader 5.0
cpe:/a:adobe:acrobat_reader:5.1Adobe Acrobat Reader 5.1
cpe:/a:adobe:acrobat_reader:6.0.1Adobe Acrobat Reader 6.0.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-0035
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-0035
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200505-715
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/0310
(UNKNOWN)  VUPEN  ADV-2005-0310
http://www.niscc.gov.uk/niscc/docs/re-20050401-00264.pdf
(UNKNOWN)  MISC  http://www.niscc.gov.uk/niscc/docs/re-20050401-00264.pdf
http://www.hyperdose.com/advisories/H2005-06.txt
(UNKNOWN)  MISC  http://www.hyperdose.com/advisories/H2005-06.txt
http://www.adobe.com/support/techdocs/331465.html
(UNKNOWN)  CONFIRM  http://www.adobe.com/support/techdocs/331465.html
http://www.securityfocus.com/bid/12989
(UNKNOWN)  BID  12989
http://www.osvdb.org/15242
(UNKNOWN)  OSVDB  15242
http://secunia.com/advisories/14813
(UNKNOWN)  SECUNIA  14813

- 漏洞信息

Adobe Acrobat Reader ActiveX控件信息泄露漏洞
中危 设计错误
2005-05-02 00:00:00 2005-10-20 00:00:00
远程  
        Adobe Acrobat Reader是一款非常流行的PDF文件阅读器。
        Adobe Reader控件中存在安全漏洞,可能导致信息泄露。
        在某些环境下如果将控件放置于网页,攻击者就可能通过调用.LoadFile(文件名)并监控其行为来发现是否存在本地文件,进而展开其他攻击。请注意攻击者无法利用这个漏洞获得文件的内容。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        http://www.adobe.com/support/downloads/main.html

- 漏洞信息

15242
Adobe Reader LoadFile() Method Local File Enumeration
Remote / Network Access Information Disclosure
Loss of Confidentiality

- 漏洞描述

Adobe Reader contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when a remote attacker calls the .LoadFile() method exposed by ActiveX in Internet Explorer via a malicious web page to trigger a flaw in Adobe Reader and disclose information on existence of local files in the target system resulting in a loss of confidentiality.

- 时间线

2005-04-04 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 7.0.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

Adobe Acrobat Reader ActiveX Control LoadFile Information Disclosure Vulnerability
Design Error 12989
Yes No
2005-04-04 12:00:00 2009-07-12 11:56:00
This vulnerability was independently discovered by both NISCC and Robert Fly <robfly@hyperdose.com>.

- 受影响的程序版本

Adobe Reader 7.0
Adobe Reader 6.0.3
Adobe Reader 6.0.2
Adobe Reader 6.0.1
Adobe Reader 6.0
Adobe Reader 5.1
Adobe Reader 5.0.5
Adobe Reader 5.0
Adobe Reader 4.0.5 A
Adobe Reader 4.0 5c
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
Adobe Reader 4.0 5
- Microsoft Windows 2000 Professional
- Microsoft Windows 95
- Microsoft Windows NT 4.0
Adobe Reader 4.0
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
Adobe Reader 3.0
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows NT 4.0
Adobe Reader 7.0.1

- 不受影响的程序版本

Adobe Reader 7.0.1

- 漏洞讨论

It is reported that the Adobe Acrobat Reader ActiveX control is prone to information disclosure vulnerability. Reports indicate that the Adobe Acrobat Reader ActiveX control, may be employed to disclose the existence of a target file.

Information that is harvested by leveraging this vulnerability may be used to aid in further attacks.

This vulnerability is reported to affect Adobe Acrobat Reader version 7.0 and prior versions.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

It is reported that this vulnerability is addressed in Adobe Acrobat Reader version 7.0.1:


Adobe Reader 3.0

Adobe Reader 4.0

Adobe Reader 4.0 5

Adobe Reader 4.0 5c

Adobe Reader 4.0.5 A

Adobe Reader 5.0

Adobe Reader 5.0.5

Adobe Reader 5.1

Adobe Reader 6.0

Adobe Reader 6.0.1

Adobe Reader 6.0.2

Adobe Reader 6.0.3

Adobe Reader 7.0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站